searchData={"items":[{"type":"module","title":"CLI","doc":"","ref":"CLI.html"},{"type":"function","title":"CLI.interactive_select/0","doc":"","ref":"CLI.html#interactive_select/0"},{"type":"function","title":"CLI.main/1","doc":"","ref":"CLI.html#main/1"},{"type":"module","title":"Clipixir","doc":"Clipixir is a terminal clipboard manager and history tracker.","ref":"Clipixir.html"},{"type":"module","title":"Features - Clipixir","doc":"* Auto-promotes most recent clipboard entry.\n  * Deduplicates and stores last 1000 clipboard texts.\n  * Tracks usage count and last used timestamp.\n  * Plain text history file, easy to inspect or backup.\n  * Robust against crash, restarts, accidental bad lines.","ref":"Clipixir.html#module-features"},{"type":"module","title":"Example - Clipixir","doc":"# Start tracking clipboard in the background\n    {:ok, _pid} = Clipixir.start_link([])\n\n    # List clipboard history (returns list of %{value, count, last_used, ...})\n    Clipixir.list_history()\n\n    # Promote a copied entry explicitly (if not already tracked)\n    Clipixir.promote_to_top_and_dedup(\"your copied content\")","ref":"Clipixir.html#module-example"},{"type":"function","title":"Clipixir.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Clipixir.html#child_spec/1"},{"type":"function","title":"Clipixir.init/1","doc":"Callback implementation for  GenServer.init/1 .","ref":"Clipixir.html#init/1"},{"type":"function","title":"Clipixir.list_history/0","doc":"Returns the clipboard history from the last N days (default: 7) as a list of maps.\n\nEach entry is a map with keys:\n  - `:value`      — the decoded clipboard text (string)\n  - `:encoded`    — base64-encoded string (internal use)\n  - `:last_used`  — Unix timestamp (when this value was last seen/copied)\n\nThe result is ordered new-to-old (most recent first).\n\nEntries older than 7 days are excluded from the returned list.","ref":"Clipixir.html#list_history/0"},{"type":"function","title":"Example - Clipixir.list_history/0","doc":"iex> Clipixir.list_history()\n    [\n      %{value: \"password123\", encoded: \"...\", last_used: 1718665404},\n      %{value: \"Elixir cheatsheet\", encoded: \"...\", last_used: 1718600000}\n    ]\n\nReturns `[]` if no history exists or all entries are older than 7 days.","ref":"Clipixir.html#list_history/0-example"},{"type":"function","title":"Clipixir.promote_to_top_and_dedup/1","doc":"Moves the given clipboard string to the top of the history.\n\n- If the value already exists, removes all other copies and updates the timestamp to now.\n- If it does not exist, adds it as the newest/first entry.\n- Maintains only entries from the last 7 days.\n\nReturns `:ok` after updating history.","ref":"Clipixir.html#promote_to_top_and_dedup/1"},{"type":"function","title":"Example - Clipixir.promote_to_top_and_dedup/1","doc":"iex> Clipixir.promote_to_top_and_dedup(\"New clipboard text\")\n    :ok\n\nAfter running this, `Clipixir.list_history()` will have\n\"New clipboard text\" as the top/most-recent entry,\nwith all other instances of that value removed.\n\nIf the given value was not in the history, it is added as the new first entry.\nIf already at the top, timestamp is updated.","ref":"Clipixir.html#promote_to_top_and_dedup/1-example"},{"type":"function","title":"Clipixir.start_link/1","doc":"","ref":"Clipixir.html#start_link/1"},{"type":"module","title":"Clipixir.Picker","doc":"Interactive fuzzy/finder picker for clipboard entries managed by Clipixir.\n\n- Use `/searchterm` for live fuzzy/substr search.\n- Type a number to instantly copy and promote an entry.\n- Press `q` to quit.","ref":"Clipixir.Picker.html"},{"type":"function","title":"Clipixir.Picker.format_ts/1","doc":"Formats a unix timestamp (seconds) into YYYY-MM-DD HH:MM.\nAccepts nil as blank.","ref":"Clipixir.Picker.html#format_ts/1"},{"type":"function","title":"Example - Clipixir.Picker.format_ts/1","doc":"iex> Clipixir.Picker.format_ts(1718766000)\n    \"2024-06-18 13:00\"","ref":"Clipixir.Picker.html#format_ts/1-example"},{"type":"function","title":"Clipixir.Picker.pick_and_copy/0","doc":"Start the picker loop in the current terminal. Shows clipboard history or prompts\nif empty.","ref":"Clipixir.Picker.html#pick_and_copy/0"},{"type":"function","title":"Examples - Clipixir.Picker.pick_and_copy/0","doc":"iex> Clipixir.Picker.pick_and_copy()\n    # Interactive TUI shown","ref":"Clipixir.Picker.html#pick_and_copy/0-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}